%define majver %(echo %version | cut -d. -f1-2)

Name:          kdepim-addons
Version:       23.04.3
Release:       1mamba
Summary:       KDE Frameworks 5 PIM addons
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        http://download.kde.org/stable/release-service/%{version}/src/kdepim-addons-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Positioning-devel
BuildRequires: libQt5WebChannel-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libX11-devel
BuildRequires: libakonadi-calendar-devel
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-import-wizard-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libakonadi-notes-devel
BuildRequires: libassuan-devel
BuildRequires: libcalendarsupport-devel
BuildRequires: libeventviews-devel
BuildRequires: libgcc
BuildRequires: libgpgme-devel
BuildRequires: libgrantlee-devel
BuildRequires: libgrantleetheme-devel
BuildRequires: libgravatar-devel
BuildRequires: libincidenceeditor-devel
BuildRequires: libkaddressbook-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcalendarcore-devel
BuildRequires: libkcalutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkdepim-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libkholidays-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkimap-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkitinerary-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkleo-devel
BuildRequires: libkmailtransport-devel
BuildRequires: libkmime-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkpkpass-devel
BuildRequires: libkprison-devel
BuildRequires: libkservice-devel
BuildRequires: libksieve-devel
BuildRequires: libktextaddons-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libktnef-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libmailcommon-devel
BuildRequires: libmailimporter-devel
BuildRequires: libmarkdown-devel
BuildRequires: libpimcommon-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsyntax-highlighting-devel
BuildRequires: messagelib-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRequires: libgpgme-devel >= 1.18.0
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Frameworks 5 PIM addons.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/kmail.antispamrc
%{_sysconfdir}/xdg/kmail.antivirusrc
%{_bindir}/kmail_*.sh
%{_datadir}/kconf_update/webengineurlinterceptoradblock.upd
%{_datadir}/qlogging-categories5/kdepim-addons.categories
%{_datadir}/qlogging-categories5/kdepim-addons.renamecategories
%dir %{_datadir}/qtcreator/templates/kmaileditorconvertertextplugins
%{_datadir}/qtcreator/templates/kmaileditorconvertertextplugins/*
%dir %{_datadir}/qtcreator/templates/kmaileditorplugins
%{_datadir}/qtcreator/templates/kmaileditorplugins/*
%{_datadir}/icons/hicolor/scalable/status/*.svg

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/qt5/plugins/pim5/akonadi/*.so
%{_libdir}/qt5/plugins/pim5/contacteditor/editorpageplugins/*.so
%{_libdir}/qt5/plugins/pim5/kaddressbook/importexportplugin/kaddressbook_*.so
%{_libdir}/qt5/plugins/pim5/kaddressbook/mainview/kaddressbook_*.so
%{_libdir}/qt5/plugins/pim5/kmail/mainview/kmail_*.so
%{_libdir}/qt5/plugins/pim5/kmail/plugincheckbeforesend/kmail_*.so
%{_libdir}/qt5/plugins/pim5/kmail/plugineditor/kmail_*.so
%{_libdir}/qt5/plugins/pim5/kmail/plugineditorconverttext/kmail_*.so
%{_libdir}/qt5/plugins/pim5/kmail/plugineditorgrammar/kmail_*.so
%{_libdir}/qt5/plugins/pim5/kmail/plugineditorinit/kmail_*.so
%{_libdir}/qt5/plugins/pim5/importwizard/*.so
%{_libdir}/qt5/plugins/pim5/korganizer/*.so
%{_libdir}/qt5/plugins/pim5/libksieve/*.so
%{_libdir}/qt5/plugins/pim5/mailtransport/mailtransport_sendplugin.so
%{_libdir}/qt5/plugins/pim5/messageviewer/bodypartformatter/messageviewer_*.so
%{_libdir}/qt5/plugins/pim5/messageviewer/checkbeforedeleting/kmail_*.so
%{_libdir}/qt5/plugins/pim5/messageviewer/configuresettings/messageviewer_*.so
%{_libdir}/qt5/plugins/pim5/messageviewer/grantlee/5.0/*.so
%{_libdir}/qt5/plugins/pim5/messageviewer/headerstyle/messageviewer_*.so
%{_libdir}/qt5/plugins/pim5/messageviewer/viewercommonplugin/messageviewer_*.so
%{_libdir}/qt5/plugins/pim5/messageviewer/viewerplugin/messageviewer_*.so
%{_libdir}/qt5/plugins/pim5/pimcommon/customtools/pimcommon_*.so
%{_libdir}/qt5/plugins/pim5/pimcommon/shorturlengine/pimcommon_*.so
%{_libdir}/qt5/plugins/pim5/templateparser/*.so
%{_libdir}/qt5/plugins/pim5/webengineviewer/urlinterceptor/webengineviewer_*.so
%{_libdir}/qt5/plugins/plasmacalendarplugins/pimevents.so
%{_libdir}/qt5/plugins/plasmacalendarplugins/pimevents/PimEventsConfig.qml
%{_libdir}/qt5/qml/org/kde/plasma/PimCalendars/*
%doc LICENSES

%changelog
* Tue Jul 11 2023 Automatic Build System <autodist@mambasoft.it> 23.04.3-1mamba
- automatic version update by autodist

* Tue Jun 13 2023 Automatic Build System <autodist@mambasoft.it> 23.04.2-1mamba
- automatic version update by autodist

* Sat May 13 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Tue May 02 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Mon Dec 12 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Sun Nov 06 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Tue Oct 18 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Sat Aug 27 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Sun Jun 12 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Tue May 17 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Fri Apr 29 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Sun Feb 06 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Wed Dec 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.12.0-2mamba
- rebuilt with importwizard deps

* Sat Dec 18 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Wed Nov 10 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Mon Oct 11 2021 Automatic Build System <autodist@mambasoft.it> 21.08.2-1mamba
- automatic version update by autodist

* Sun Sep 05 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Sat Aug 21 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Sun Jul 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.04.3-1mamba
- update to 21.04.3

* Sun Jun 20 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Sat May 15 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Tue Apr 27 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Sat Feb 06 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Wed Jan 13 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Tue Dec 22 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Sun Nov 08 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sat Aug 22 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Sun Jul 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Sun Jun 14 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Sun May 17 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Mon Apr 27 2020 Automatic Build System <autodist@mambasoft.it> 20.04.0-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 19.12.3-1mamba
- automatic version update by autodist

* Sat Feb 08 2020 Automatic Build System <autodist@mambasoft.it> 19.12.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2020 Automatic Build System <autodist@mambasoft.it> 19.12.1-1mamba
- automatic version update by autodist

* Thu Jan 02 2020 Automatic Build System <autodist@mambasoft.it> 19.12.0-1mamba
- automatic version update by autodist

* Sat Nov 09 2019 Automatic Build System <autodist@mambasoft.it> 19.08.3-1mamba
- automatic version update by autodist

* Thu Oct 10 2019 Automatic Build System <autodist@mambasoft.it> 19.08.2-1mamba
- automatic version update by autodist

* Sat Sep 14 2019 Automatic Build System <autodist@mambasoft.it> 19.08.1-1mamba
- automatic version update by autodist

* Sun Jul 14 2019 Automatic Build System <autodist@mambasoft.it> 19.04.3-1mamba
- automatic version update by autodist

* Sun Jun 09 2019 Automatic Build System <autodist@mambasoft.it> 19.04.2-1mamba
- automatic version update by autodist

* Sun May 12 2019 Automatic Build System <autodist@mambasoft.it> 19.04.1-1mamba
- automatic version update by autodist

* Sun Apr 21 2019 Automatic Build System <autodist@mambasoft.it> 19.04.0-1mamba
- automatic version update by autodist

* Sun Mar 10 2019 Automatic Build System <autodist@mambasoft.it> 18.12.3-1mamba
- automatic version update by autodist

* Sun Feb 10 2019 Automatic Build System <autodist@mambasoft.it> 18.12.2-1mamba
- automatic version update by autodist

* Wed Jan 16 2019 Automatic Build System <autodist@mambasoft.it> 18.12.1-1mamba
- automatic version update by autodist

* Mon Dec 24 2018 Automatic Build System <autodist@mambasoft.it> 18.12.0-1mamba
- automatic version update by autodist

* Thu Nov 15 2018 Automatic Build System <autodist@mambasoft.it> 18.08.3-1mamba
- automatic version update by autodist

* Sun Oct 14 2018 Automatic Build System <autodist@mambasoft.it> 18.08.2-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Automatic Build System <autodist@mambasoft.it> 18.08.1-1mamba
- automatic version update by autodist

* Sun Aug 26 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Sat Jul 14 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Fri Jun 15 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Mon May 14 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Sat May 05 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Sun Feb 11 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Tue Jan 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Sat Nov 11 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Sun Sep 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Thu Aug 31 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Fri Aug 11 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Sat Mar 04 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Sun Feb 05 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.3-1mamba
- update to 16.08.3

* Fri Sep 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.1-1mamba
- package created using the webbuild interface
